# -*- coding: UTF-8 -*-
"""
PyOPUS is a library for simulation-based optimization of arbitrary systems. 
It was developed with circuit optimization in mind. The library is the basis 
for the PyOPUS GUI that provides a simple way for setting up design automation 
tasks. In the GUI you can also view the the results and plot the 
waveforms generated by the simulator. 
"""

from .misc.identify import revision, locationID 
# print("PyOpus library R%d @ %s, (c)2008-2019 Arpad Buermen" % (revision, locationID()))

__all__ = [ 'PyOpusError' ]

class PyOpusError(Exception):
	def __init__(self, message, *args):
		super(PyOpusError, self).__init__(message, *args)
